
Public Support - Support Request #3894

Change filename of recorded DAT file

2018-08-29 08:14 - hidden

Status: Closed   

Priority: Normal   

Category:    
Department: AEV Affected Products: ADTF 2.13.3

Requester's Priority: Normal Platform: Windows 7 64bit
Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Wie in einem früheren Ticket bereits besprochen starte ich ein Recording mit folgendem Snippet:

      //this example is for using within a filter

      tADTFMediaDescriptor sDesc;

      strcpy(sDesc.strFilename, "/data/files/newfile.dat");

      strcpy(sDesc.strShortDesc, "short description");

      strcpy(sDesc.strLongDesc, "long description");

      tEventInfo sEventInfo;

      memset(&sEventInfo, 0, sizeof(tEventInfo));

      sEventInfo.pSource       = static_cast<IObject*> (static_cast<IFilter*> (this));

      sEventInfo.i32EventClass = adtf::IEvent::CLASS_APPLICATION;

      sEventInfo.i32EventCode  = adtf::IEvent::EC_StartRecording;

      sEventInfo.i32Param1     = 0;

      sEventInfo.i32Param2     = 0; //RecorderEventID -> the recorder id which is set in the recor

der filter

      sEventInfo.pvData        = (tVoid*)&sDesc;

      sEventInfo.szDataLength  = sizeof(sDesc);

      _kernel->SignalSend(&sEventInfo);

 Gibt es die Möglichkeit den Dateinamen des Dat-Files erst bei einem Stop/Split Event zu setzen

oder muss ich hier mit Boardmitteln die Datei manuell umbenennen?

Lösung

Siehe Harddisk Recorder - Events received and emitted, ganz unten  Change filename of the recorded file

History

#1 - 2018-08-29 08:30 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Recorder

#2 - 2018-08-29 08:32 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Anian,

siehe Harddisk Recorder - Events received and emitted, ganz unten  Change filename of the recorded file

#3 - 2018-08-29 08:36 - hidden

:D ok - wer lesen kann....

Danke
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_recorder_event_table.html#subsec_recorder_changeingfilename
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_recorder_event_table.html#subsec_recorder_changeingfilename


#4 - 2018-08-29 08:39 - hidden

- Project changed from 11 to Public Support

- Subject changed from Recording über Event - Vergabe von Filename to Change filename of recorded DAT file

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#5 - 2018-09-11 15:13 - hidden

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
